ClutterSettings

## ClutterSettings ClutterSettings — Settings configuration |

## Synopsis

                        ClutterSettings;
    ClutterSettings *   clutter_settings_get_default        (void);

## Object Hierarchy

      GObject
       +----ClutterSettings

## Properties

      "backend"                  ClutterBackend*       : Write / Construct Only
      "dnd-drag-threshold"       gint                  : Read / Write
      "double-click-distance"    gint                  : Read / Write
      "double-click-time"        gint                  : Read / Write
      "font-antialias"           gint                  : Read / Write
      "font-dpi"                 gint                  : Read / Write
      "font-hint-style"          gchar*                : Read / Write
      "font-hinting"             gint                  : Read / Write
      "font-name"                gchar*                : Read / Write
      "font-subpixel-order"      gchar*                : Read / Write
      "fontconfig-timestamp"     guint                 : Write
      "long-press-duration"      gint                  : Read / Write
      "password-hint-time"       guint                 : Read / Write

## Description

Clutter depends on some settings to perform operations like detecting multiple button press events, or font options to render text.

Usually, Clutter will strive to use the platform's settings in order to be as much integrated as possible. It is, however, possible to change these settings on a per-application basis, by using the ClutterSettings singleton object and setting its properties. It is also possible, for toolkit developers, to retrieve the settings from the ClutterSettings properties when implementing new UI elements, for instance the default font name.

ClutterSettings is available since Clutter 1.4

## Details

### ClutterSettings

    typedef struct _ClutterSettings ClutterSettings;

ClutterSettings is an opaque structure whose members cannot be directly accessed.

Since 1.4

### clutter_settings_get_default ()

    ClutterSettings *   clutter_settings_get_default        (void);

Retrieves the singleton instance of ClutterSettings

Returns : | the instance of ClutterSettings. The returned object is owned by Clutter and it should not be unreferenced directly. [transfer none]

Since 1.4

## Property Details

### The `"backend"` property

      "backend"                  ClutterBackend*       : Write / Construct Only

### Warning

`ClutterSettings:backend` is deprecated and should not be used in newly-written code. 1.10

A back pointer to the ClutterBackend

Since 1.4

### The `"dnd-drag-threshold"` property

      "dnd-drag-threshold"       gint                  : Read / Write

The default distance that the cursor of a pointer device should travel before a drag operation should start.

Allowed values: >= 1

Default value: 8

Since 1.8

### The `"double-click-distance"` property

      "double-click-distance"    gint                  : Read / Write

The maximum distance, in pixels, between button-press events that determines whether or not to increase the click count by 1.

Allowed values: >= 0

Default value: 5

Since 1.4

### The `"double-click-time"` property

      "double-click-time"        gint                  : Read / Write

The time, in milliseconds, that should elapse between button-press events in order to increase the click count by 1.

Allowed values: >= 0

Default value: 250

Since 1.4

### The `"font-antialias"` property

      "font-antialias"           gint                  : Read / Write

Whether or not to use antialiasing when rendering text; a value of 1 enables it unconditionally; a value of 0 disables it unconditionally; and -1 will use the system's default.

Allowed values: [G_MAXULONG,1]

Default value: -1

Since 1.4

### The `"font-dpi"` property

      "font-dpi"                 gint                  : Read / Write

The DPI used when rendering text, as a value of 1024 * dots/inch.

If set to -1, the system's default will be used instead

Allowed values: [G_MAXULONG,1048576]

Default value: -1

Since 1.4

### The `"font-hint-style"` property

      "font-hint-style"          gchar*                : Read / Write

The style of the hinting used when rendering text. Valid values are:

- hintnone
- hintslight
- hintmedium
- hintfull

Default value: NULL

Since 1.4

### The `"font-hinting"` property

      "font-hinting"             gint                  : Read / Write

Whether or not to use hinting when rendering text; a value of 1 unconditionally enables it; a value of 0 unconditionally disables it; and a value of -1 will use the system's default.

Allowed values: [G_MAXULONG,1]

Default value: -1

Since 1.4

### The `"font-name"` property

      "font-name"                gchar*                : Read / Write

The default font name that should be used by text actors, as a string that can be passed to `pango_font_description_from_string()`.

Default value: NULL

Since 1.4

### The `"font-subpixel-order"` property

      "font-subpixel-order"      gchar*                : Read / Write

The type of sub-pixel antialiasing used when rendering text. Valid values are:

- none
- rgb
- bgr
- vrgb
- vbgr

Default value: NULL

Since 1.4

### The `"fontconfig-timestamp"` property

      "fontconfig-timestamp"     guint                 : Write

Timestamp of the current fontconfig configuration.

Default value: 0

### The `"long-press-duration"` property

      "long-press-duration"      gint                  : Read / Write

Sets the minimum duration for a press to be recognized as a long press gesture. The duration is expressed in milliseconds.

See also "long-press-duration".

Allowed values: >= 0

Default value: 500

Since 1.8

### The `"password-hint-time"` property

      "password-hint-time"       guint                 : Read / Write

How long to show the last input character in hidden entries.

Default value: 0